Extending Qt Creator Manual | NavigationWidgetPlaceHolder

Extending Qt Creator Manual 4.5.2

# NavigationWidgetPlaceHolder Class

(Core::NavigationWidgetPlaceHolder)

- List of all members, including inherited members

## Public Functions

| NavigationWidgetPlaceHolder(Id mode, Side side, QWidget *parent = 0)
virtual | ~NavigationWidgetPlaceHolder()
void | applyStoredSize()

## Static Public Members

NavigationWidgetPlaceHolder * | current(Side side)
void | setCurrent(Side side, NavigationWidgetPlaceHolder *navWidget)

## Member Function Documentation

### NavigationWidgetPlaceHolder::NavigationWidgetPlaceHolder(Id mode, Side side, QWidget *parent = 0)

Default constructs an instance of NavigationWidgetPlaceHolder.

### `[virtual]` NavigationWidgetPlaceHolder::~NavigationWidgetPlaceHolder()

Destroys the instance of NavigationWidgetPlaceHolder. The destructor is virtual.

### void NavigationWidgetPlaceHolder::applyStoredSize()

### `[static]` NavigationWidgetPlaceHolder *NavigationWidgetPlaceHolder::current(Side side)

See also setCurrent().

### `[static]` void NavigationWidgetPlaceHolder::setCurrent(Side side, NavigationWidgetPlaceHolder *navWidget)

See also current().